[Testing Update] 2020-07-14 - KDE Frameworks 5.72, Linux57 with FSync, Firefox, Python, Haskell

Hello community,

Another testing branch update with some interesting updates for you!


Our 11,6" laptop is back! Now with better hardware. Find out more! #stayhome, #staysafe, #stayhealthy

  • We updated some of our KDE-git packages
  • KDE Frameworks 5.72.0 brings needed patches we partly already backported before
  • Firefox got another beta release
  • For Linux57 kernel series we added the FSync by Valve to speed up some processes, especially for Proton gaming. Tell us if we also should backport it to Linux54 series.
  • The Linux Kernel is now at 5.8-rc5, which is one of the largest releases yet to come.
  • The usual upstream updates rebuilds/updates including python and haskell by Arch

If you like following latest Plasma development you may also like to check out our current version of manjaro-kde-dev, which we build on a regular basis against kde-git master packages. Also check out our latest preview of Manjaro Mikah 20.1! XFCE, KDE and Gnome


Upstream notice

Arch updated their default compression to zstd. We adopted to the same standard. More and more packages will have the zst extension from now on. If you get for what ever reason an error with ZSTD not supported as archive format you can do this:

sudo pacman -Syy
sudo pacman -S pacman-static
sudo pacman-static -Syyu

Our current supported kernels

  • linux44 4.4.230
  • linux49 4.9.230
  • linux414 4.14.188
  • linux419 4.19.132
  • linux54 5.4.51
  • linux56 5.6.19 [EOL]
  • linux57 5.7.8
  • linux58 5.8-rc5
  • linux54-rt 5.4.44_rt27
  • linux56-rt 5.6.17_rt9

Package Changes (Tue Jul 14 09:18:00 CEST 2020)

  • testing community x86_64: 323 new and 336 removed package(s)
  • testing core x86_64: 7 new and 7 removed package(s)
  • testing extra x86_64: 144 new and 147 removed package(s)
  • testing multilib x86_64: 1 new and 1 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-07-11           2020-07-14
-------------------------------------------------------------------------------
                          attica-git5.72.0.r756.g89fa49d-15.73.0.r758.gef33d1e-1
                        bluez-qt-git5.72.0.r598.g8acfb1e-15.73.0.r600.g61e7602-1
                          breeze-git5.19.80.r2009.g0fefe7fb-15.19.80.r2010.gba646dab-1
                    breeze-icons-git5.72.0.r1590.g860440c9-15.73.0.r1596.g6da48a55-1
                               cpu-x  4.0.1.r6.gc8c7c09-1 4.0.1.r16.g0fdcbb0-1
                         edid-decode       r439.4d94efe-1       r450.4ee445e-1
             extra-cmake-modules-git5.72.0.r3174.gac7404e-15.73.0.r3175.g6a278df-1
            frameworkintegration-git5.72.0.r527.gd183aa8-15.73.0.r528.gfe2f686-1
                             gtkhash                1.3-1                1.4-2
                        gtkhash-caja                1.3-1                1.4-2
                    gtkhash-nautilus                1.3-1                1.4-2
                        gtkhash-nemo                1.3-1                1.4-2
                      gtkhash-thunar                1.3-1                1.4-2
                     kactivities-git5.72.0.r1293.gb5184fc9-15.73.0.r1295.g15eb4873-1
               kactivities-stats-git5.72.0.r286.g573cc98-15.73.0.r288.ge462ee0-1
               kactivitymanagerd-git5.15.80.r1293.g1b68915-15.15.80.r1294.gb5a7049-1
                         kapidox-git5.72.0.r480.gcce22b2-15.73.0.r481.gb3dff93-1
                        karchive-git5.72.0.r425.gf83a898-15.73.0.r427.g8175fde-1
                           kauth-git5.72.0.r366.g8056e62-15.73.0.r368.g4960beb-1
                      kbookmarks-git5.72.0.r341.g3c71df9-15.73.0.r343.g5b1a965-1
                        kcmutils-git5.72.0.r411.g913e339-15.73.0.r412.g8146073-1
                         kcodecs-git5.72.0.r315.gfa1cf9e-15.73.0.r317.g3c83f81-1
                     kcompletion-git5.72.0.r372.gfce45a1-15.73.0.r373.g12c9edf-1
                         kconfig-git5.72.0.r703.g5d73eed-15.73.0.r706.g538cf78-1
                  kconfigwidgets-git5.72.0.r477.g06df628-15.73.0.r480.gdaaf5e9-1
                     kcoreaddons-git5.72.0.r998.g13c61ae-15.73.0.r1001.g756557b-1
                          kcrash-git5.72.0.r321.g4e699aa-15.73.0.r323.g45e8369-1
                     kdbusaddons-git5.72.0.r313.g1ac4c22-15.73.0.r315.gde2efca-1
                    kdeclarative-git5.72.0.r785.gf3c8973-15.73.0.r787.g774f53e-1
                            kded-git5.72.0.r324.g5275ad0-15.73.0.r326.g5c224aa-1
                 kdelibs4support-git5.72.0.r946.ge0d46273-15.73.0.r947.g85ac93b7-1
                kdeplasma-addons-git5.19.80.r8360.gbc0aa0ade-15.19.80.r8361.g350a27762-1
                 kdesignerplugin-git5.72.0.r285.g9aab163-15.73.0.r286.gfe4b232-1
                           kdesu-git5.72.0.r402.gad94aeb-15.73.0.r403.g554a354-1
                       kdewebkit-git5.72.0.r233.g0762500-15.73.0.r234.g5decc5f-1
                          kdnssd-git5.72.0.r261.g5e6968e-15.73.0.r262.g6918ff0-1
                       kdoctools-git5.72.0.r546.gf40c34d-15.73.0.r548.g8265a67-1
                      kemoticons-git5.72.0.r327.gac044e6-15.73.0.r329.g216be62-1
                   kfilemetadata-git5.72.0.r705.g39f4389-15.73.0.r707.g82ec4b7-1
                    kglobalaccel-git5.72.0.r369.g28ca234-15.73.0.r371.gbb0a52b-1
                      kguiaddons-git5.72.0.r281.g47906ed-15.73.0.r282.g5f16a4b-1
                       kholidays-git5.72.0.r872.g126334b-15.73.0.r873.g9ef71b4-1
                           khtml-git5.72.0.r502.g39ba012-15.73.0.r504.g1c6e8bc-1
                           ki18n-git5.72.0.r402.ge6ea7e3-15.73.0.r404.g1bc742e-1
                     kiconthemes-git5.72.0.r432.g07e7c54-15.73.0.r434.ga4f1533-1
                       kidletime-git5.72.0.r252.g6309093-15.73.0.r254.g8debece-1
                   kimageformats-git5.57.0.r276.gd1136c4-15.57.0.r278.g20f996a-1
                           kinit-git5.72.0.r349.g947acba-15.73.0.r351.gcf85d60-1
                             kio-git5.72.0.r4095.gb745168f-15.73.0.r4099.g9cb68b53-1
                       kirigami2-git5.72.0.r2260.g147c40a5-15.73.0.r2262.ga3354c3d-1
                     kitemmodels-git5.72.0.r436.g075f437-15.73.0.r438.g6ebb773-1
                      kitemviews-git5.72.0.r274.g15309dd-15.73.0.r275.gb3d37b4-1
                     kjobwidgets-git5.72.0.r304.g482646a-15.73.0.r306.gec57c4a-1
                             kjs-git5.72.0.r289.g766b82a-15.73.0.r290.ga619916-1
                        kjsembed-git5.72.0.r249.g8e50ad8-15.73.0.r250.g08a64c6-1
                    kmediaplayer-git5.72.0.r243.g712dbc7-15.73.0.r244.g5edbafe-1
                       knewstuff-git5.72.0.r851.g75a3ca48-15.73.0.r853.g3a4de0ca-1
                  knotifications-git5.72.0.r550.g84f1e1e-15.73.0.r552.g848b54d-1
                   knotifyconfig-git5.72.0.r291.g7461994-15.73.0.r292.gd7898ea-1
                        kpackage-git5.72.0.r587.g19df37c-15.73.0.r589.g705ad04-1
                          kparts-git5.72.0.r421.g720e594-15.73.0.r422.g04d319a-1
                         kpeople-git5.72.0.r1259.g8bcf4e8-15.73.0.r1261.g274e0e8-1
                       kplotting-git5.72.0.r238.g3fb5eeb-15.73.0.r239.g600b968-1
                            kpty-git5.72.0.r266.g50defbf-15.73.0.r267.g1386d87-1
                           kross-git5.72.0.r283.g224edb3-15.73.0.r285.gd030d76-1
                         krunner-git5.72.0.r449.gae5f456-15.73.0.r452.g3b6d4be-1
                        kservice-git5.72.0.r784.g85d0930-15.73.0.r786.g04af66b-1
                     ktexteditor-git5.72.0.r2381.g0e26eb33-15.73.0.r2385.ge8b8c363-1
                    ktextwidgets-git5.72.0.r330.g4841915-15.73.0.r331.gb5c1a48-1
                 kunitconversion-git5.72.0.r313.ga1bd736-15.73.0.r314.gae82459-1
                         kwallet-git5.72.0.r976.gfc36db0-15.73.0.r978.gaf8e73b-1
                        kwayland-git5.72.0.r1014.g9ab3265-15.73.0.r1016.gfb63879-1
                 kwayland-server-git5.19.80.r1068.g82277db-15.19.80.r1069.g1c4a22b-1
                  kwidgetsaddons-git5.72.0.r694.g4336532-15.73.0.r699.gc5d6ea9-1
                   kwindowsystem-git5.72.0.r521.gf9f12e6-15.73.0.r523.g97468c9-1
                         kxmlgui-git5.72.0.r635.g06a9132-15.73.0.r638.g2bbb468-1
                   kxmlrpcclient-git5.72.0.r401.g1b7d63ccc-15.73.0.r403.g9409ae954-1
                 manjaro-i3-settings           20191111-1           20200713-2
                           milou-git5.19.80.r692.gf5fb834-15.19.80.r693.g7efea66-1
                 modemmanager-qt-git5.72.0.r461.gd5d1dad-15.73.0.r463.gb414209-1
               networkmanager-qt-git5.72.0.r1055.g3fd7635-15.73.0.r1057.g6842819-1
                    oxygen-icons-git5.72.0.r232.g4b25289-15.73.0.r233.g1a696f3-1
                oxygen-icons-svg-git5.72.0.r232.g4b25289-15.73.0.r233.g1a696f3-1
                plasma-framework-git5.72.0.r15479.g12dd2589f-15.73.0.r15487.gcc8675913-1
                    plasma-vault-git5.19.80.r289.ga31cf36-15.19.80.r290.gc4932f9-1
          plasma-wayland-session-git5.19.80.r9190.gd752a3ed7-15.19.80.r9191.gd68c16b27-1
                plasma-workspace-git5.19.80.r9190.gd752a3ed7-15.19.80.r9191.gd68c16b27-1
                          prison-git5.72.0.r262.ga69837d-15.73.0.r264.g9449762-1
              qqc2-desktop-style-git5.72.0.r373.g16c057c-15.73.0.r374.ge7f2fcd-1
                           solid-git5.72.0.r577.g04992d1-15.73.0.r579.g8e0957c-1
                          sonnet-git5.72.0.r539.g630450e-15.73.0.r541.g8e4b252-1
                     syndication-git5.72.0.r772.gc9800b1-15.73.0.r774.ga2e5875-1
             syntax-highlighting-git5.72.0.r1130.g2b65a6f-15.73.0.r1132.g7a0521f-1
                    threadweaver-git5.72.0.r447.ge4f07c5-15.73.0.r448.gc12168d-1
                    cinnamon-desktop                    -              4.6.3-1
                       gtkhash-peony                    -                1.4-2


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-07-11           2020-07-14
-------------------------------------------------------------------------------
                  appmenu-gtk-module              0.7.3-2            0.7.3.1-1
                       atomicparsley              0.9.6-120200701.154658.b0d6223-1
                    autoconf-archive       1:2019.01.06-1       1:2019.01.06-2
                               broot             0.18.3-1             0.18.6-1
                    cinnamon-desktop              4.6.2-1              4.6.3-1
                           cmark-gfm       0.29.0.gfm.0-1       0.29.0.gfm.0-2
                        cozy-desktop             3.20.0-2             3.21.0-1
                          cozy-stack           1:1.4.12-2           1:1.4.14-1
                                crun               0.14-1             0.14.1-1
                             dbeaver              7.1.1-1              7.1.2-1
                          dhall-bash            1.0.31-14            1.0.31-15
                            electrum              3.3.8-2              4.0.2-1
                          fanficfare             3.20.1-1             3.21.0-1
           firefox-developer-edition             79.0b6-1             79.0b7-1
  firefox-developer-edition-i18n-ach             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-af             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-an             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-ar             79.0b6-1             79.0b7-1
  firefox-developer-edition-i18n-ast             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-az             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-be             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-bg             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-bn             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-br             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-bs             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-ca             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-ca-valencia       79.0b6-1             79.0b7-1
  firefox-developer-edition-i18n-cak             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-cs             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-cy             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-da             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-de             79.0b6-1             79.0b7-1
  firefox-developer-edition-i18n-dsb             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-el             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-en-ca             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-en-gb             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-en-us             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-eo             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-es-ar             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-es-cl             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-es-es             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-es-mx             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-et             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-eu             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-fa             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-ff             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-fi             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-fr             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-fy-nl             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-ga-ie             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-gd             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-gl             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-gn             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-gu-in             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-he             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-hi-in             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-hr             79.0b6-1             79.0b7-1
  firefox-developer-edition-i18n-hsb             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-hu             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-hy-am             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-ia             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-id             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-is             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-it             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-ja             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-ka             79.0b6-1             79.0b7-1
  firefox-developer-edition-i18n-kab             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-kk             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-km             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-kn             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-ko             79.0b6-1             79.0b7-1
  firefox-developer-edition-i18n-lij             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-lt             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-lv             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-mk             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-mr             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-ms             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-my             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-nb-no             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-ne-np             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-nl             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-nn-no             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-oc             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-pa-in             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-pl             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-pt-br             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-pt-pt             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-rm             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-ro             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-ru             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-si             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-sk             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-sl             79.0b6-1             79.0b7-1
  firefox-developer-edition-i18n-son             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-sq             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-sr             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-sv-se             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-ta             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-te             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-th             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-tl             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-tr             79.0b6-1             79.0b7-1
  firefox-developer-edition-i18n-trs             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-uk             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-ur             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-uz             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-vi             79.0b6-1             79.0b7-1
   firefox-developer-edition-i18n-xh             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-zh-cn             79.0b6-1             79.0b7-1
firefox-developer-edition-i18n-zh-tw             79.0b6-1             79.0b7-1
              firefox-tree-style-tab              3.5.9-1             3.5.12-1
               firefox-ublock-origin             1.28.0-1             1.28.2-1
                             foliate              2.4.0-2              2.4.2-1
               freepats-general-midi           20200703-1           20200711-1
                             fusesoc               1.10-1             1.11.0-2
                            geogebra          6.0.592.0-1          6.0.593.0-1
                           git-annex        8.20200617-16        8.20200617-17
                         go-ethereum             1.9.15-1             1.9.16-1
                              gopass              1.9.2-2              1.9.2-3
                            gpsbabel              1.7.0-1              1.7.0-2
                           gscan2pdf              2.8.0-1              2.8.1-1
               haskell-binary-parser              0.5.6-6              0.5.6-7
   haskell-bytestring-strict-builder           0.4.5.3-77           0.4.5.3-78
              haskell-deferred-folds          0.9.10.1-86          0.9.10.1-87
                       haskell-hasql              1.4.4-7              1.4.4-8
                  haskell-hasql-pool             0.5.2-21             0.5.2-22
           haskell-hasql-transaction           1.0.0.1-40           1.0.0.1-41
          haskell-neat-interpolation             0.5.1-24             0.5.1-25
           haskell-postgresql-binary             0.12.3-6             0.12.3-7
                      haskell-rebase             1.6.1-17             1.6.1-18
                    haskell-rerebase             1.6.1-17             1.6.1-18
                   haskell-selective              0.4.1-8            0.4.1.1-1
                haskell-text-builder           0.6.6.1-47           0.6.6.1-48
                haskell-yesod-static          1.6.0.1-412            1.6.1.0-1
                         hledger-web            1.18.1-10            1.18.1-11
                            influxdb              1.8.0-1              1.8.1-1
                         libgcrypt15              1.5.6-3              1.5.6-4
                            libslirp              4.3.0-1              4.3.1-1
                           miniupnpc       2.1.20190408-2       2.1.20190408-3
                              mopidy              3.0.2-1              3.0.2-2
                                mypy              0.782-1              0.782-2
                     mysql-workbench             8.0.20-3             8.0.21-1
               netfilter-fullconenat       r73.0cf3b48-30       r73.0cf3b48-31
                      nginx-mainline             1.19.0-1             1.19.1-1
                    nginx-mod-brotli            1:0.1.2-7          1:1.0.0rc-1
                              podman              2.0.1-1              2.0.2-1
                       podman-docker              2.0.1-1              2.0.2-1
                           postgrest             7.0.1-35             7.0.1-36
                python-aiohttp-socks              0.3.9-1              0.4.2-1
                         python-atom              0.4.3-1              0.5.2-1
                     python-autobahn             20.6.2-1             20.6.2-2
                      python-cheroot              8.3.0-1              8.3.1-1
                        python-crc16              0.1.1-2              0.1.1-3
                     python-cssutils              1.0.2-4              1.0.2-5
          python-django-crispy-forms              1.9.1-1              1.9.2-1
                   python-flufl.i18n              2.0.2-2                3.0-1
                       python-future             0.18.2-2             0.18.2-3
                        python-httpx             0.13.3-4             0.13.3-5
                   python-hypothesis             5.19.0-1             5.19.2-1
                     python-identify             1.4.22-1             1.4.23-1
                        python-kazoo              2.7.0-1              2.8.0-1
              python-language-server             0.34.1-1             0.34.1-2
                      python-mutagen             1.44.0-1             1.45.0-1
              python-openstackclient              5.3.0-1              5.3.0-2
                       python-pg8000             1.15.3-1             1.16.0-1
                       python-pipenv           2020.6.2-1           2020.6.2-2
                     python-pwntools              4.1.1-1              4.2.1-1
                  python-pycontracts             1.8.14-1             1.8.14-2
                     python-pydantic              1.5.1-1                1.6-1
                    python-pyenchant              2.0.0-5              3.1.1-2
                     python-pylibacl              0.5.4-2              0.5.4-3
               python-spyder-kernels              0.5.2-4              1.9.1-1
         python-sqlalchemy-continuum              1.3.9-1              1.3.9-2
             python-sqlalchemy-utils             0.35.0-1             0.35.0-2
                    python-stevedore              3.0.0-1              3.1.0-1
                      python-tornado              6.0.4-1              6.0.4-2
              python-unittest-mixins                1.6-3                1.6-4
                        python-wheel             0.34.2-2             0.34.2-3
                     python2-cheroot              8.3.0-1              8.3.1-1
                      python2-future             0.18.2-2                    -
                 python2-pycontracts             1.8.14-1                    -
                   python2-pyenchant              2.0.0-5                    -
                    python2-pylibacl              0.5.4-2                    -
                      python2-typing            3.7.4.1-1            3.7.4.2-1
             python2-unittest-mixins                1.6-3                    -
                       python2-wheel             0.34.2-2             0.34.2-3
                              rclone             1.52.2-1             1.52.2-2
                        riot-desktop              1.6.4-1              1.6.8-1
                            riot-web              1.6.4-1              1.6.8-1
                          rubberband              1.8.2-3              1.8.2-4
                       rust-analyzer           20200706-1           20200713-1
                           shorewall              5.2.6-1            5.2.6.1-1
                      shorewall-core              5.2.6-1            5.2.6.1-1
                          shorewall6              5.2.6-1            5.2.6.1-1
                             shotcut           20.06.28-1           20.07.11-1
                            skanlite            2.1.0.1-2              2.2.0-1
                         slirp4netns              1.1.2-1              1.1.3-1
                              spring              104.0-8              104.0-9
                              spyder              3.3.6-3              4.1.3-2
                            sshuttle              1.0.2-1              1.0.3-1
                               stack             2.3.1-57             2.3.1-58
                          strawberry             0.6.12-2             0.6.13-1
                          streamlink              1.4.1-1              1.5.0-1
                        systemd-swap              4.2.3-2              4.3.0-1
                      tamarin-prover            1.4.1-377            1.4.1-378
                         uboot-tools            2020.04-1            2020.07-1
                             udiskie              2.2.0-1              2.2.0-2
                 ukui-control-center              2.0.4-1              2.0.5-1
                               uwsgi           2.0.19.1-2           2.0.19.1-3
                    uwsgi-plugin-cgi           2.0.19.1-2           2.0.19.1-3
                    uwsgi-plugin-jvm           2.0.19.1-2           2.0.19.1-3
                  uwsgi-plugin-lua51           2.0.19.1-2           2.0.19.1-3
                   uwsgi-plugin-mono           2.0.19.1-2           2.0.19.1-3
               uwsgi-plugin-notfound           2.0.19.1-2           2.0.19.1-3
                    uwsgi-plugin-php           2.0.19.1-2           2.0.19.1-3
                   uwsgi-plugin-psgi           2.0.19.1-2           2.0.19.1-3
                   uwsgi-plugin-pypy           2.0.19.1-2           2.0.19.1-3
                 uwsgi-plugin-python           2.0.19.1-2           2.0.19.1-3
                uwsgi-plugin-python2           2.0.19.1-2                    -
                   uwsgi-plugin-rack           2.0.19.1-2           2.0.19.1-3
                 uwsgi-plugin-webdav           2.0.19.1-2           2.0.19.1-3
                 uwsgi-plugin-zabbix           2.0.19.1-2           2.0.19.1-3
         v2ray-domain-list-community     20200711063108-1     20200713094236-1
                          vdirsyncer             0.16.8-2             0.16.8-3
                               vigra            1.11.1-24            1.11.1-25
                           vigra-doc            1.11.1-24            1.11.1-25
                               vim-a              2.18-10                    -
                         vim-ansible                2.1-2                2.2-1
                vim-colorsamplerpack         2012.10.28-6                    -
                  vim-doxygentoolkit             0.2.13-5                    -
                  vim-guicolorscheme                1.2-6                    -
                     vim-minibufexpl              6.5.2-3                    -
                 vim-omnicppcomplete             0.4.1-10                    -
                         vim-project             1.4.1-10                    -
                         vim-taglist                 46-5                    -
                       vim-ultisnips                3.2-2                3.2-3
                      vim-vcscommand            1.99.47-4                    -
                       vim-workspace             1.0b1-10                    -
                       wireshark-cli              3.2.4-1              3.2.5-1
                        wireshark-qt              3.2.4-1              3.2.5-1
                     xcb-util-errors                1.0-3                1.0-4
                          youtube-dl       2020.06.16.1-1       2020.06.16.1-2
                      openfpgaloader                    -                0.1-1
                    python-bitstring                    -              3.1.7-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-07-11           2020-07-14
-------------------------------------------------------------------------------
                   amd-ucode 20200702.r1665.74ac3b5-1 20200713.r1672.3d3a06f-1
              linux-firmware 20200702.r1665.74ac3b5-1 20200713.r1672.3d3a06f-1
                             linux57              5.7.8-5              5.7.8-6
                     linux57-headers              5.7.8-5              5.7.8-6
                       linux58 5.8rc4.d0708.g0bddd22-1 5.8rc5.d0712.g11ba468-1
               linux58-headers 5.8rc4.d0708.g0bddd22-1 5.8rc5.d0712.g11ba468-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-07-11           2020-07-14
-------------------------------------------------------------------------------
                              dhcpcd              9.1.2-2              9.1.4-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-07-11           2020-07-14
-------------------------------------------------------------------------------
                           calamares           3.2.26.1-1             3.2.27-1
             calamares-git 3.2.26.1.r8123.a8230a641-1 3.2.28.r8158.3fd088b33-1
              grub-theme-live-common               18.1-1               20.1-1
             grub-theme-live-manjaro               18.1-1               20.1-1
                  grub-theme-manjaro               18.1-1               20.1-1
                                gvim           8.2.1168-0           8.2.1185-0
                   linux57-acpi_call             1.1.0-13             1.1.0-14
                    linux57-bbswitch               0.8-13               0.8-14
                 linux57-broadcom-wl      6.30.223.271-13      6.30.223.271-14
                 linux57-ndiswrapper              1.63-13              1.63-14
                linux57-nvidia-340xx           340.108-13           340.108-14
                linux57-nvidia-390xx           390.132-13           390.132-14
                linux57-nvidia-418xx           418.113-13           418.113-14
                linux57-nvidia-430xx            430.64-13            430.64-14
                linux57-nvidia-435xx            435.21-13            435.21-14
                linux57-nvidia-440xx            440.100-4            440.100-5
                       linux57-r8168          8.048.03-13          8.048.03-14
                   linux57-rtl8723bu          20200405-13          20200405-14
                    linux57-tp_smapi              0.43-13              0.43-14
                 linux57-vhba-module          20200106-13          20200106-14
    linux57-virtualbox-guest-modules             6.1.10-9            6.1.10-10
     linux57-virtualbox-host-modules             6.1.10-9            6.1.10-10
                         linux57-zfs             0.8.4-13             0.8.4-14
                   linux58-acpi_call            1.1.0-0.4            1.1.0-0.5
                    linux58-bbswitch              0.8-0.4              0.8-0.5
                 linux58-broadcom-wl     6.30.223.271-0.4     6.30.223.271-0.5
                linux58-nvidia-390xx          390.132-0.4          390.132-0.5
                linux58-nvidia-418xx          418.113-0.4          418.113-0.5
                linux58-nvidia-430xx           430.64-0.4           430.64-0.5
                linux58-nvidia-435xx           435.21-0.4           435.21-0.5
                linux58-nvidia-440xx          440.100-0.4          440.100-0.5
                       linux58-r8168         8.048.03-0.4         8.048.03-0.5
                    linux58-tp_smapi             0.43-0.4             0.43-0.5
                 linux58-vhba-module         20200106-0.4         20200106-0.5
                    plasma-framework           5.71.0-2.1                    -
                                 vim           8.2.1168-0           8.2.1185-0
                         vim-runtime           8.2.1168-0           8.2.1185-0


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-07-11           2020-07-14
-------------------------------------------------------------------------------
                      akonadi-search            20.04.3-1            20.04.3-2
                        alertmanager             0.21.0-1             0.21.0-2
                              attica             5.71.0-1             5.72.0-1
                               baloo             5.71.0-1             5.72.0-1
                            bluez-qt             5.71.0-1             5.72.0-1
                        breeze-icons             5.71.0-1             5.72.0-1
                          claws-mail             3.17.5-3             3.17.6-1
                               clisp            2.49.93-3            2.49.93-4
                 extra-cmake-modules             5.71.0-1             5.72.0-1
                          fluidsynth              2.1.3-1              2.1.4-1
                frameworkintegration             5.71.0-1             5.72.0-1
                                 gdm             3.36.2-1             3.36.3-1
                               icewm              1.6.6-1              1.7.0-1
                         kactivities             5.71.0-1             5.72.0-1
                   kactivities-stats             5.71.0-1             5.72.0-1
                             kapidox             5.71.0-1             5.72.0-1
                            karchive             5.71.0-1             5.72.0-1
                               kauth             5.71.0-1             5.72.0-1
                          kbookmarks             5.71.0-1             5.72.0-1
                       kcalendarcore             5.71.0-1             5.72.0-1
                            kcmutils             5.71.0-1             5.72.0-1
                             kcodecs             5.71.0-1             5.72.0-1
                         kcompletion             5.71.0-1             5.72.0-1
                             kconfig             5.71.0-1             5.72.0-1
                      kconfigwidgets             5.71.0-1             5.72.0-1
                           kcontacts           1:5.71.0-1           1:5.72.0-1
                         kcoreaddons             5.71.0-1             5.72.0-1
                              kcrash             5.71.0-1             5.72.0-1
                                kdav            20.04.3-1           1:5.72.0-1
                         kdbusaddons             5.71.0-1             5.72.0-1
                        kdeclarative             5.71.0-1             5.72.0-1
                                kded             5.71.0-1             5.72.0-1
                     kdelibs4support             5.71.0-1             5.72.0-1
                      kdepim-runtime            20.04.3-1            20.04.3-2
                     kdesignerplugin             5.71.0-1             5.72.0-1
                               kdesu             5.71.0-1             5.72.0-1
                           kdewebkit             5.71.0-1             5.72.0-1
                              kdnssd             5.71.0-1             5.72.0-1
                           kdoctools             5.71.0-1             5.72.0-1
                          kemoticons             5.71.0-1             5.72.0-1
                       kfilemetadata             5.71.0-1             5.72.0-1
                        kglobalaccel             5.71.0-1             5.72.0-1
                          kguiaddons             5.71.0-1             5.72.0-1
                           kholidays           1:5.71.0-1           1:5.72.0-1
                               khtml             5.71.0-1             5.72.0-1
                               ki18n             5.71.0-1             5.72.0-1
                         kiconthemes             5.71.0-1             5.72.0-1
                           kidletime             5.71.0-1             5.72.0-1
                       kimageformats             5.71.0-1             5.72.0-1
                               kinit             5.71.0-1             5.72.0-1
                                 kio             5.71.0-1             5.72.0-1
                           kirigami2             5.71.0-1             5.72.0-1
                         kitemmodels             5.71.0-1             5.72.0-1
                          kitemviews             5.71.0-1             5.72.0-1
                         kjobwidgets             5.71.0-1             5.72.0-1
                                 kjs             5.71.0-1             5.72.0-1
                            kjsembed             5.71.0-1             5.72.0-1
                        kmediaplayer             5.71.0-1             5.72.0-1
                           knewstuff             5.71.0-1             5.72.0-1
                      knotifications             5.71.0-1             5.72.0-1
                       knotifyconfig             5.71.0-1             5.72.0-1
                            kpackage             5.71.0-1             5.72.0-1
                              kparts             5.71.0-1             5.72.0-1
                             kpeople             5.71.0-1             5.72.0-1
                           kplotting             5.71.0-1             5.72.0-1
                                kpty             5.71.0-1             5.72.0-1
                        kquickcharts             5.71.0-1             5.72.0-1
                               kross             5.71.0-1             5.72.0-1
                             krunner             5.71.0-1             5.72.0-1
                            kservice             5.71.0-1             5.72.0-1
                         ktexteditor             5.71.0-1             5.72.0-1
                        ktextwidgets             5.71.0-1             5.72.0-1
                     kunitconversion             5.71.0-1             5.72.0-1
                             kwallet             5.71.0-1             5.72.0-1
                            kwayland             5.71.0-1             5.72.0-1
                      kwidgetsaddons             5.71.0-1             5.72.0-1
                       kwindowsystem             5.71.0-1             5.72.0-1
                             kxmlgui             5.71.0-1             5.72.0-1
                       kxmlrpcclient             5.71.0-1             5.72.0-1
                              libgdm             3.36.2-1             3.36.3-1
                             libmbim             1.24.0-1             1.24.2-1
                          libxnvctrl             450.51-1             450.57-1
                     modemmanager-qt             5.71.0-1             5.72.0-1
                                mutt             1.14.5-1             1.14.6-1
                   networkmanager-qt             5.71.0-1             5.72.0-1
                        nvidia-prime                1.0-3                1.0-4
                        oxygen-icons           1:5.71.0-1           1:5.72.0-1
                    oxygen-icons-svg           1:5.71.0-1           1:5.72.0-1
                    plasma-framework             5.71.0-2             5.72.0-1
                             poppler             0.90.0-1             0.90.1-1
                        poppler-glib             0.90.0-1             0.90.1-1
                         poppler-qt5             0.90.0-1             0.90.1-1
                              prison             5.71.0-1             5.72.0-1
                             purpose             5.71.0-2             5.72.0-1
            python-lazy-object-proxy              1.5.0-1              1.5.0-2
            python-prometheus_client              0.8.0-1              0.8.0-2
                   python-setuptools           1:49.1.2-1           1:49.2.0-1
                        python-wrapt             1.12.1-1             1.12.1-2
                     python2-astroid              1.6.5-3                    -
                       python2-isort             4.3.21-1                    -
                      python2-pylint              1.9.5-1                    -
                       python2-wrapt             1.12.1-1                    -
                  qqc2-desktop-style             5.71.0-1             5.72.0-1
                               solid             5.71.0-1             5.72.0-1
                              sonnet             5.71.0-1             5.72.0-1
                         syndication             5.71.0-1             5.72.0-1
                 syntax-highlighting             5.71.0-1             5.72.0-1
                        threadweaver             5.71.0-1             5.72.0-1
                      wireguard-dkms       1.0.20200623-1       1.0.20200712-1
                               xterm                357-1                358-1
                             ipp-usb                    -             0.9.10-1
                        sane-airscan                    -             0.99.9-2


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-07-11           2020-07-14
-------------------------------------------------------------------------------
                    lib32-fluidsynth              2.1.3-1              2.1.4-1
  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

9 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed

System takes a long time to boot

If you've got errors like Failed to start Network Manager Wait Online. you can try removing systemd from passwd and group in /etc/nsswitch.conf as described here

I think I've some font problems

With the update of fontconfig some major rules how fonts get applied changed. Make sure that your system has ttf-dejavu installed. A more in depth explanation can be found here.

Gnome-shell-extension-pop-shell is currently incompatible with wayland

... and causes the system to freeze when the first window is tiled and can render it unbootable. Solution is a hard reset and disabling either pop shell or wayland. If the system becomes unbootable, use a live USB to edit /etc/gdm/custom.conf to disable wayland and reboot.

Older issues

Thunderbird might throw an error of older version available.

Use $ thunderbird --allow-downgrade from a terminal to fix it.

HP Device Manager


Pamac stuck at "Preparing..."

Users have reported issues with the recent release candidate of Pamac 9.4.0 when initiating transactions, being stuck at "Preparing..." without being able to cancel the transaction and quit Pamac normally.

For now, it is recommended to use pacman to do package management until this issue is solved and Pamac become usable again. Please test out upcoming updates for Pamac to see if the issue becomes solved or not.

If you are stuck in "Preparing...", you will have to manually kill the pamac-managerprocess.

Reported on Gitlab:
https://gitlab.manjaro.org/applications/pamac/issues/757

Upgrading firewalld package to 0.8.1-2 requires manual intervention

Please read this announcement if you have file conflicts when trying to upgrade firewalld package to 0.8.1-2.

Firewalld requires manual intervention

khotkeys identified as an orphaned package

You can remove that package, but might loose some functionality with your key-bindings. We made it now optional to be installed.


Weird font glitches (see screenshots below).

If you have weird glitches like below...

Screenshots


string3
strings%20mismatch

... have you tried turning it off and on again?

More seriously, so far, people that reported to have such issue noticed that the problem goes away at next boot.


Installing xorgproto (2019.2-2) breaks dependency of a package

If you run into an issue because of xorgproto please DON'T follow the Arch suggestion as Manjaro uses the xorgproto-transfer package to make this automatic. If you have an issue, please report and wait for an update from us!

AUR Rebuilds required after updating python 3.7 to 3.8

Packages that depend on python from the AUR will need to be rebuilt after everything else has been updated. You can rebuild some of them with the following:

sudo pacman -S --needed --noconfirm expac yay
yay -S --rebuildtree $(pacman -Qmq $(expac %N python))

You can find other packages that need to be rebuilt by looking at the folders/files in

/usr/lib/python3.7/site-packages/

To find out what package owns a folder/file in that, you can use the following:

pacman -Qo folder_or_filename

If no package owns a file, it can probably be ignored.


System Settings and kinfocenter crash when entering Night Color settings randomly

Remove entire [NightColor] section of ~/.config/kwinrc
No solution yet ─ please edit as soon as a workaround is found.

xfce4-power-manager does not open / upower fails

Install kernel 4.14 or higher (4.14, 4.19, 5.2 [EOL], 5.3)

There is an issue with upower 0.99.11-1 on kernels 4.4 and 4.9.


xfce4-terminal / guake / gnome-terminal does not open

Update to vte3 0.58.2-1 or install kernel 4.14 or higher (4.14, 4.19, 5.2 [EOL], 5.3)

There is an issue with vte3 0.58.1-1 on kernels 4.4 and 4.9.


Replace linux52 with community/linux-latest ?

linux52 is EOL and has been removed from the repositories. It will be replaced by a metapackage which will from now on keep you on a maintained kernel.

If you want to keep the old kernel and modules then include them in your pacman.conf's IgnorePkg.


Pamac-Qt is not compatible to 9.0 API of Pamac

Pamac Qt 0.3 pre-RC: Towards the release, needs help in testing


gnome-shell-extension-desktop-icons

the pkgver 19.10.1 ship with an hook to remove the capability from gnome-shell. A message is present during install but essentially you need to reboot the system to show correctly the icons in the desktop. More info here

Notification animation works now with Nvidia 340 driver.
KDE Notifier
Thanks for fixed it.

If it is possible with reasonable worktime, that would be good. On the other hand, users looking for best performance should use the latest mainline kernel (5.7 atm) anyway so it should not be really necessary.

2 Likes

Just a question why do you hold stable updates for Gnome and others while KDE is the one what is causing delay these days?

When is the stable going to be released? My workstation is literally itching for an update. :sweat_smile:

9 Likes

yay for FSync! :smiley:
I'd love to see it in new Kernels going forward but i don't think backporting is necessary (unless it's more of less just a rebuild without much work needed)

1 Like

I don't think features should be backported into LTS kernels downstream

Is it possible a Manjaro version of the Arch's Zen Kernel? FSync was included long time ago. And I know the response is that most Zen patches are already included in Manjaro Kernel (except FSync :frowning:). It will save much work from Manjaro team.

All good here XFCE + BTRFS + Linux57
only hold back package: systemd-swap (newest version: swap File failed to activate)
Will be not needed on my new machine (will have 32 GB RAM)

Come on just make a swap file or partition already :slight_smile:
A walkthrough for you: https://wiki.archlinux.org/index.php/Swap#Swap_file

1 Like

:smiley: you right but it was easy with systemd-swap

got this building hooks for both 5.7 and 5.8:

==> Building image from preset: /etc/mkinitcpio.d/linux58.preset: 'default'
-> -k /boot/vmlinuz-5.8-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-5.8-x86_64.img
==> Starting build: 5.8.0-1-MANJARO
-> Running build hook: [base]
-> Running build hook: [udev]
-> Running build hook: [autodetect]
-> Running build hook: [modconf]
-> Running build hook: [block]
==> WARNING: Possibly missing firmware for module: xhci_pci
-> Running build hook: [filesystems]
-> Running build hook: [keyboard]
-> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-5.8-x86_64.img
==> Image generation successful

Confirm, but I got this only for 5.8 since rc1. for the same exact module.
No idea what is wrong.

1 Like

I would suspect that is because it's one update for all NOT 3 separate updates. This is more whining like those asking about stable updates in the testing branch threads. Please get the hint @numToStr .

1 Like

everything is ok, but the pamac-tray-appindicator can't run and It's disappear.

Only one question, what is blocking ths stable release?

1 Like

Testing new KDE/Plasma

2 Likes

Your question belongs in the stable announcement section NOT the testing announcement section. THANKS

1 Like

@philm the provided link seems to be the old Fsync version. In the meantime there was a new patch which works even better. Personally i build it from: https://github.com/sirlucjan/kernel-patches/tree/master/5.7/futex-patches.
The new proposal on LKML: https://lore.kernel.org/lkml/20200612185122.327860-1-andrealmeid@collabora.com/

3 Likes

Forum kindly sponsored by